List Microsoft 365 calendar events as the calling member
curl --request GET \
--url http://api.den.local/v1/capabilities/microsoft-365/calendar-eventsimport requests
url = "http://api.den.local/v1/capabilities/microsoft-365/calendar-events"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('http://api.den.local/v1/capabilities/microsoft-365/calendar-events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"events": [
{
"id": "<string>",
"subject": "<string>",
"preview": "<string>",
"start": "<string>",
"startTimeZone": "<string>",
"end": "<string>",
"endTimeZone": "<string>",
"isAllDay": true,
"location": "<string>",
"organizer": {
"name": "<string>",
"address": "<string>"
},
"attendees": [
{
"name": "<string>",
"address": "<string>"
}
],
"webLink": "<string>",
"onlineMeetingUrl": "<string>"
}
]
}{
"error": "unauthorized"
}{
"error": "needs_connection",
"message": "<string>"
}{
"error": "microsoft_graph_error",
"message": "<string>"
}Capability Sources
List Microsoft 365 calendar events as the calling member
Lists the calling member’s Outlook calendar events in a requested time range. This capability is delegated and read-only.
GET
/
v1
/
capabilities
/
microsoft-365
/
calendar-events
List Microsoft 365 calendar events as the calling member
Query Parameters
Inclusive lower bound for event start time.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Exclusive upper bound for event start time.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Maximum events to return, capped at 100.
Required range:
1 <= x <= 100Was this page helpful?